optoKummenberg

Loading...
Searching...
No Matches
optoKummenberg.connections.Channel Class Reference

## Public Member Functions
| __init__ (self, board, int channel_number=0)
| GetControlMode (self)
| SetControlMode (self, UnitType or str control_mode)
| initialize_channel (self)

## Public Attributes
| Manager = registers.Manager(self._channel, self._board)
| StaticInput = registers.StaticInput(self._channel, self._board)
| InputConditioning = registers.InputConditioning(self._channel, self._board)
| OutputConditioning = registers.OutputConditioning(self._channel, self._board)
| FeedThrough = registers.CurrentFeedThrough(self._channel, self._board)
| LinearOutput = registers.LinearOutput(self._channel, self._board)

## Protected Attributes
| _board = board
| _channel = channel_number
| _control_mode = UnitType.CURRENT

## Detailed Description

    Generic Channel object with default systems and commands. Such as StaticInput, SetControlMode, etc

    Parameters
    ----------
    board
        connections.Board object
    channel: int
        channel identifier, required for system and register identification

    Raises
    ------
    none

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.connections.Channel.__init__ | ( |  | self,
|  |  | board,
|  | int | channel_number = 0 )

## Member Function Documentation

## ◆ GetControlMode()

optoKummenberg.connections.Channel.GetControlMode | ( |  | self | ) |

    Retrieves board control mode for this channel.

    Parameters
    ----------
    none

    Raises
    ------
    none

    Returns
    -----
    UnitType
        Control mode options set by register_tables.UnitType

## ◆ initialize_channel()

optoKummenberg.connections.Channel.initialize_channel | ( |  | self | ) |

## ◆ SetControlMode()

optoKummenberg.connections.Channel.SetControlMode | ( |  | self,
|  | UnitType or str | control_mode )

    Sets board control mode for this channel.

    Parameters
    ----------
    control_mode: UnitType or str
        Mode to set must be in register_tables.UnitType or appropriate string format given by
        UnitType enum attribute names.

    Raises
    ------
    none

    Returns
    -----
    str
        Firmware response or error information

## Member Data Documentation

## ◆ _board

optoKummenberg.connections.Channel._board = board
| protected

## ◆ _channel

optoKummenberg.connections.Channel._channel = channel_number
| protected

## ◆ _control_mode

optoKummenberg.connections.Channel._control_mode = UnitType.CURRENT
| protected

## ◆ FeedThrough

optoKummenberg.connections.Channel.FeedThrough = registers.CurrentFeedThrough(self._channel, self._board)

## ◆ InputConditioning

optoKummenberg.connections.Channel.InputConditioning = registers.InputConditioning(self._channel, self._board)

## ◆ LinearOutput

optoKummenberg.connections.Channel.LinearOutput = registers.LinearOutput(self._channel, self._board)

## ◆ Manager

optoKummenberg.connections.Channel.Manager = registers.Manager(self._channel, self._board)

## ◆ OutputConditioning

optoKummenberg.connections.Channel.OutputConditioning = registers.OutputConditioning(self._channel, self._board)

## ◆ StaticInput

optoKummenberg.connections.Channel.StaticInput = registers.StaticInput(self._channel, self._board)

The documentation for this class was generated from the following file:

- C:/git/142-421-00_optoKummenberg/src/main/python/optoKummenberg/connections.py